# DeferredAction

class DeferredAction < T , O >(val deferred: Deferred< T >, val callback: suspend ( T ) -> O )(source)

Represents a deferred action that combines a Deferred value with a callback to be executed on that value.

#### Parameters

deferred

The deferred value to await

callback

The suspending function to apply to the deferred value

#### Type Parameters

T

The type of the deferred value

O

The type of the result after applying the callback

## Constructors

DeferredAction
Link copied to clipboard
constructor(deferred: Deferred< T >, callback: suspend ( T ) -> O )

## Properties

callback
Link copied to clipboard
val callback : suspend ( T ) -> O
deferred
Link copied to clipboard
val deferred : Deferred< T >

## Functions

invoke
Link copied to clipboard
suspend operator fun invoke (): O